/* 
 * Copyright (C) 2005  Christian Cier-Zniewski
 * Author: Christian Cier-Zniewski <c.cier@gmx.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
#ifndef GLOBAL_H
#define GLOBAL_H

#include <pthread.h>
#include <unistd.h>
#include <sys/socket.h>
#include <errno.h>
#include <netinet/in.h>
#include <netinet/tcp.h>
#include <arpa/inet.h>
#include <signal.h>
#include <fcntl.h>
#include <stdio.h>
#include <memory.h>
#include <netdb.h>
#include <stdlib.h>

#define SERVERNAME "192.168.10.6"
#define RFBSERVERPORT 20001
#define STREAMPORT 20002

int tsrecvsock;
int rfbsock;

// network.c
int set_non_blocking(int sock);
int tcp_connect_to_server (char *host, int port);
int udp_bind(int port);
int udp_getdata(int sock, unsigned char *buf, unsigned int len);
int tcp_getdata(int sock, unsigned char *buf, unsigned int len);
int tcp_putdata(int sock, unsigned char *buf, unsigned int len);

// tsreceiver.c
void StartTSreceiver(void);
void StopTSreceiver(void);

// osd.c
int fb_init(void);
void StartOSDreceiver(void);
void StopOSDreceiver(void);

// rfb protocol 
typedef unsigned char  CARD8;
typedef unsigned short CARD16;
typedef unsigned long  CARD32;

#ifdef WORDS_BIGENDIAN
#define Swap16IfLE(s) (s)
#define Swap32IfLE(l) (l)
#else
#define Swap16IfLE(s) ((((s) & 0xff) << 8) | (((s) >> 8) & 0xff))
#define Swap32IfLE(l) ((((l) & 0xff000000) >> 8) | \
		       (((l) & 0x00ff0000) << 8)  | \
 		       (((l) & 0x0000ff00) >> 8)  | \
 		       (((l) & 0x000000ff) << 8))
#endif /* WORDS_BIGENDIAN */

#endif // GLOBAL_H
 
 


